> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credentials

> Get credentials for a connector.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/connectors/{connector_id}/credentials/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/connectors/{connector_id}/credentials/{id}:
    get:
      tags:
        - Connector
      summary: Get Credentials
      description: Get credentials for a connector.
      operationId: c1.api.app.v1.ConnectorService.GetCredentials
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId of the app the connector is attached to.
            readOnly: false
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: >-
              The connectorId of the connector that we are getting the
              credentials for.
            readOnly: false
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: The id of the ConnectorCredential.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.ConnectorServiceGetCredentialsResponse
          description: >-
            ConnectorServiceGetCredentialsResponse is the response returned by
            the get method.
      x-codeSamples:
        - lang: go
          label: GetCredentials
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Connector.GetCredentials(ctx, operations.C1APIAppV1ConnectorServiceGetCredentialsRequest{\n        AppID: \"<id>\",\n        ConnectorID: \"<id>\",\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ConnectorServiceGetCredentialsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.connector.getCredentials({
                appId: "<id>",
                connectorId: "<id>",
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.ConnectorServiceGetCredentialsResponse:
      description: >-
        ConnectorServiceGetCredentialsResponse is the response returned by the
        get method.
      properties:
        credential:
          $ref: '#/components/schemas/c1.api.app.v1.ConnectorCredential'
      title: Connector Service Get Credentials Response
      type: object
      x-speakeasy-name-override: ConnectorServiceGetCredentialsResponse
    c1.api.app.v1.ConnectorCredential:
      description: >-
        ConnectorCredential is used by a connector to authenticate with
        conductor one.
      properties:
        appId:
          description: The appId of the app the connector is attached to.
          readOnly: false
          type: string
        clientId:
          description: The client id of the ConnectorCredential.
          readOnly: false
          type: string
        clientSecret:
          description: >-
            The client secret of the ConnectorCredential. It's only returned on
            creation.
          readOnly: false
          type: string
        connectorId:
          description: The connectorId of the connector the credential is associated with.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        displayName:
          description: The display name of the ConnectorCredential.
          readOnly: false
          type: string
        expiresTime:
          format: date-time
          readOnly: true
          type: string
        id:
          description: The id of the ConnectorCredential.
          readOnly: false
          type: string
        lastUsedAt:
          format: date-time
          readOnly: true
          type: string
        updatedAt:
          format: date-time
          readOnly: true
          type: string
      title: Connector Credential
      type: object
      x-speakeasy-entity: ConnectorCredential
      x-speakeasy-name-override: ConnectorCredential
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````